org.apache.ignite.configuration

## Class HadoopConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.HadoopConfiguration

    public class HadoopConfiguration
    extends Object

Ignite Hadoop Accelerator configuration.

### Field Summary

Fields
`static boolean` `DFLT_EXTERNAL_EXECUTION` Default value for external execution flag.
`static long` `DFLT_FINISHED_JOB_INFO_TTL` Default finished job info time-to-live.
`static int` `DFLT_MAX_PARALLEL_TASKS` Default value for the max parallel tasks.
`static int` `DFLT_MAX_TASK_QUEUE_SIZE` Default value for the max task queue size.

### Constructor Summary

Constructors
Constructor and Description
`HadoopConfiguration()` Default constructor.
`HadoopConfiguration(HadoopConfiguration cfg)` Copy constructor.

### Method Summary

Methods
`long` `getFinishedJobInfoTtl()` Gets finished job info time-to-live in milliseconds.
`HadoopMapReducePlanner` `getMapReducePlanner()` Gets Hadoop map-reduce planner, a component which defines job execution plan based on job configuration and current grid topology.
`int` `getMaxParallelTasks()` Gets max number of local tasks that may be executed in parallel.
`int` `getMaxTaskQueueSize()` Gets max task queue size.
`void` `setFinishedJobInfoTtl(long finishedJobInfoTtl)` Sets finished job info time-to-live.
`void` `setMapReducePlanner(HadoopMapReducePlanner planner)` Sets Hadoop map-reduce planner, a component which defines job execution plan based on job configuration and current grid topology.
`void` `setMaxParallelTasks(int maxParallelTasks)` Sets max number of local tasks that may be executed in parallel.
`void` `setMaxTaskQueueSize(int maxTaskQueueSize)` Sets max task queue size.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DFLT_FINISHED_JOB_INFO_TTL

    public static final long DFLT_FINISHED_JOB_INFO_TTL

Default finished job info time-to-live.

See Also:
  Constant Field Values

#### DFLT_EXTERNAL_EXECUTION

    public static final boolean DFLT_EXTERNAL_EXECUTION

Default value for external execution flag.

See Also:
  Constant Field Values

#### DFLT_MAX_PARALLEL_TASKS

    public static final int DFLT_MAX_PARALLEL_TASKS

Default value for the max parallel tasks.

#### DFLT_MAX_TASK_QUEUE_SIZE

    public static final int DFLT_MAX_TASK_QUEUE_SIZE

Default value for the max task queue size.

See Also:
  Constant Field Values

### Constructor Detail

#### HadoopConfiguration

    public HadoopConfiguration()

Default constructor.

#### HadoopConfiguration

    public HadoopConfiguration(HadoopConfiguration cfg)

Copy constructor.

Parameters:
  `cfg` - Configuration to copy.

### Method Detail

#### getMaxParallelTasks

    public int getMaxParallelTasks()

Gets max number of local tasks that may be executed in parallel.

Returns:
  Max number of local tasks that may be executed in parallel.

#### setMaxParallelTasks

    public void setMaxParallelTasks(int maxParallelTasks)

Sets max number of local tasks that may be executed in parallel.

Parameters:
  `maxParallelTasks` - Max number of local tasks that may be executed in parallel.

#### getMaxTaskQueueSize

    public int getMaxTaskQueueSize()

Gets max task queue size.

Returns:
  Max task queue size.

#### setMaxTaskQueueSize

    public void setMaxTaskQueueSize(int maxTaskQueueSize)

Sets max task queue size.

Parameters:
  `maxTaskQueueSize` - Max task queue size.

#### getFinishedJobInfoTtl

    public long getFinishedJobInfoTtl()

Gets finished job info time-to-live in milliseconds.

Returns:
  Finished job info time-to-live.

#### setFinishedJobInfoTtl

    public void setFinishedJobInfoTtl(long finishedJobInfoTtl)

Sets finished job info time-to-live.

Parameters:
  `finishedJobInfoTtl` - Finished job info time-to-live.

#### getMapReducePlanner

    public HadoopMapReducePlanner getMapReducePlanner()

Gets Hadoop map-reduce planner, a component which defines job execution plan based on job configuration and current grid topology.

Returns:
  Map-reduce planner.

#### setMapReducePlanner

    public void setMapReducePlanner(HadoopMapReducePlanner planner)

Sets Hadoop map-reduce planner, a component which defines job execution plan based on job configuration and current grid topology.

Parameters:
  `planner` - Map-reduce planner.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016